*** xc/programs/Xserver/hw/xfree86/doc/sgml/OS2note.sgml:1.1	1996/11/03 00:16:05
--- xc/programs/Xserver/hw/xfree86/doc/sgml/OS2note.sgml	1996/11/03 00:18:54
***************
*** 3,9 ****
  
  <title>Notes on Rebuilding XFree86/OS2 from Scratch
  <author>Holger Veit
! <date>Last modified 22 Feb 1996
  
  <toc>
  
--- 3,9 ----
  
  <title>Notes on Rebuilding XFree86/OS2 from Scratch
  <author>Holger Veit
! <date>Last modified 21 Oct 1996
  
  <toc>
  
***************
*** 31,37 ****
  via anonymous FTP. The following shopping list shows what you will need:
  
  <itemize>
! <item>gcc	EMX/gcc emx 0.9B fix 1 or later
  <item>gzip	GNU zip/unzip
  <item>tar	GNU tar
  <item>patch	Larry Wall's patch utility (attention: incompatible tool with same name in OS/2)
--- 31,37 ----
  via anonymous FTP. The following shopping list shows what you will need:
  
  <itemize>
! <item>gcc	EMX/gcc emx 0.9C or later
  <item>gzip	GNU zip/unzip
  <item>tar	GNU tar
  <item>patch	Larry Wall's patch utility (attention: incompatible tool with same name in OS/2)
***************
*** 46,51 ****
--- 46,53 ----
  <item>flex	GNU flex
  <item>bison	GNU bison
  <item>find	GNU find    (attention: incompatible tool with the same name in OS/2)
+ <item>tcl/tk    This is needed for the XF86Setup utility; a suitable binary
+                 set is available from the ported software WWW page
  </itemize>
  
  If there is no version number given, any new version will do. Particularly
***************
*** 58,64 ****
  an update to X11R6, named X11R6.1 (cynics call this "X11'95" :-) ); I don't 
  know whether a patch or an entirely new version will be issued. The public
  XFree86 sources will likely be called XFree86-3.2.tar.gz; for sources for
! the alpha version XFree86/OS2 3.1.2D you must become a member of XFree86.
  
  <sect>Compiling and Installing
  <p>
--- 60,66 ----
  an update to X11R6, named X11R6.1 (cynics call this "X11'95" :-) ); I don't 
  know whether a patch or an entirely new version will be issued. The public
  XFree86 sources will likely be called XFree86-3.2.tar.gz; for sources for
! an alpha or beta version of XFree86/OS2 you must become a member of XFree86.
  
  <sect>Compiling and Installing
  <p>
***************
*** 92,102 ****
        which lists the files that are newly created. The patch program has
        a problem with creating new directories, so we need to create them
        on advance. For each <tt/added-XXX/ file you find, execute from
!       <tt>&bsol;x11</tt> <verb>xc\config\util\added added-XXX</verb>
        If there is no <tt>added-XXX</tt> file available, you can make one with
        the following instructions:
        <verb>
!       grep "\*\*\* xc/" patchfile >added-file
        </verb>
        Edit <tt/added-file/ with a text editor and remove the <tt/*** / at
        the beginning and the time stamp at the end (search for a TAB and
--- 94,104 ----
        which lists the files that are newly created. The patch program has
        a problem with creating new directories, so we need to create them
        on advance. For each <tt/added-XXX/ file you find, execute from
!       <tt>&bsol;x11</tt> <verb>xc&bsol;config&bsol;util&bsol;added added-XXX</verb>
        If there is no <tt>added-XXX</tt> file available, you can make one with
        the following instructions:
        <verb>
!       grep "&bsol;*&bsol;*&bsol;* xc/" patchfile >added-file
        </verb>
        Edit <tt/added-file/ with a text editor and remove the <tt/*** / at
        the beginning and the time stamp at the end (search for a TAB and
***************
*** 112,126 ****
        Don't use the recommended <tt/-s/ option, this makes <tt/patch/ quiet,
        and you won't see problems in the patchlog file. Use
        <verb>
!       find \x11 -name *.rej -print 
!       find \x11 -name *# -print
        </verb>
        to find any rejects and unapplied patches (attention: yet another OS/2
        program with wrong functionality). Normally there shouldn't
!       be any problems of this kind, else you have made a mistake. finally
        remove the original files with
        <verb>
!       find \x11 -name *.orig -print -exec rm {} ;
        </verb>
  <item>Go to the <tt>xc/config/cf</tt> directory and edit the <tt>xf86site.def</tt>
        file to match your requirements (you probably don't want to compile
--- 114,128 ----
        Don't use the recommended <tt/-s/ option, this makes <tt/patch/ quiet,
        and you won't see problems in the patchlog file. Use
        <verb>
!       find &bsol;x11 -name *.rej -print 
!       find &bsol;x11 -name *# -print
        </verb>
        to find any rejects and unapplied patches (attention: yet another OS/2
        program with wrong functionality). Normally there shouldn't
!       be any problems of this kind, else you have made a mistake. Finally
        remove the original files with
        <verb>
!       find &bsol;x11 -name *.orig -print -exec rm {} ;
        </verb>
  <item>Go to the <tt>xc/config/cf</tt> directory and edit the <tt>xf86site.def</tt>
        file to match your requirements (you probably don't want to compile
***************
*** 131,139 ****
        <item><tt>&num;define WacomSupport            NO
              &num;define ElographicsSupport      NO</tt>
              Both options are not yet supported.
!       <item><tt/&num;define ForceNormalLib NO/
!             There is no support for static libraries yet; why would you need
!             them anyway.
        </itemize>
  <item>Go to the directory <tt>xc&bsol;util&bsol;compress</tt> and 
        <tt>make compress.exe</tt> there. Install the program produced 
--- 133,143 ----
        <item><tt>&num;define WacomSupport            NO
              &num;define ElographicsSupport      NO</tt>
              Both options are not yet supported.
!       <item>Tcl* and Tk* don't need to be set explicitly. Reasonable defaults
!             are in the other config files, provided you have a complete 
!             XFree86/OS2 binary tree with the tcl/tk runtime support installed.
!       <item><tt>&num;define BuildDynamicLoading   NO</tt>
! 	    This does not work.
        </itemize>
  <item>Go to the directory <tt>xc&bsol;util&bsol;compress</tt> and 
        <tt>make compress.exe</tt> there. Install the program produced 
***************
*** 148,158 ****
        go back to the prefix section of this document: you have forgotten
        something.
  <item>Copy the file <tt>xc/config/util/buildos2.cmd</tt> into the <tt/xc/
!       directory.
  <item>Execute this <tt/buildos2.cmd/ command in the <tt/xc/ directory;
        it will produce a logfile <tt>buildxc.log</tt> in this directory.
! <item>Go have a bucket of coffee. The compile will need between 2 and 20
!       hours.
  <item>When finished, view the logfile for errors, and fix the problems if
        there are some. I have managed to compile the whole system
        flawlessly, so there is at least one configuration that works.
--- 152,165 ----
        go back to the prefix section of this document: you have forgotten
        something.
  <item>Copy the file <tt>xc/config/util/buildos2.cmd</tt> into the <tt/xc/
!       directory. If this is a second or later attempt, you might need to
!       copy the saved toplevel Makefile.os2 back to Makefile.
! 
! 
  <item>Execute this <tt/buildos2.cmd/ command in the <tt/xc/ directory;
        it will produce a logfile <tt>buildxc.log</tt> in this directory.
! <item>Go have a bucket of coffee, or better, buy new coffee - in Columbia!
!       The compile will need between 2 and 20 hours.
  <item>When finished, view the logfile for errors, and fix the problems if
        there are some. I have managed to compile the whole system
        flawlessly, so there is at least one configuration that works.
*** xc/programs/Xserver/hw/xfree86/XF86Setup/filelistos2.tcl:1.1	1996/10/25 02:09:14
--- xc/programs/Xserver/hw/xfree86/XF86Setup/filelistos2.tcl	1996/10/25 02:10:18
***************
*** 0 ****
--- 1,100 ----
+ # $XFree86: xc/programs/Xserver/hw/xfree86/XF86Setup/filelist.tcl,v 3.3 1996/08/24 12:50:45 dawes Exp $
+ #
+ # Copyright 1996 by Joseph V. Moss <joe@XFree86.Org>
+ #
+ # See the file "LICENSE" for information regarding redistribution terms,
+ # and for a DISCLAIMER OF ALL WARRANTIES.
+ #
+ 
+ # List of files that are needed by this program or programs spawned by it.
+ # These lists are not meant to be exhaustive, but they should be
+ # complete enough to ensure that all the needed .tgz files have been
+ # installed
+ 
+ array set FilePermsDescriptions {
+ 	Libs	"X11 libraries"
+ 	Cfg	"configuration and application default files"
+ 	Fonts	"standard font files"
+ 	DB	"device, keysym, error, locale, and color databases"
+ 	Bin	"standard X client programs"
+ 	VidTune	"xvidtune configuration files and/or the xvidtune program"
+ 	XKB	"X keyboard extension programs and configuration files"
+ }
+ 
+ array set FilePermsLibs {
+ 	lib/libX11*				644
+ 	lib/libXaw*				644
+ 	lib/libXext*				644
+ 	lib/libXi*				644
+ 	lib/libXmu*				644
+ 	lib/libXtst*				644
+ 	lib/libSM*				644
+ 	lib/libICE*				644
+ }
+ 
+ array set FilePermsCfg {
+ 	lib/X11/xinit/xinitrc.cmd		444
+ 	lib/X11/app-defaults/Bitmap		444
+ 	lib/X11/app-defaults/XLogo		444
+ 	lib/X11/app-defaults/XTerm		444
+ }
+ 
+ array set FilePermsFonts {
+ 	lib/X11/fonts/misc/fonts.dir		444
+ 	lib/X11/fonts/misc/fonts.alias		444
+ 	lib/X11/fonts/misc/6x13.pc*		444
+ 	lib/X11/fonts/75dpi/fonts.dir		444
+ 	lib/X11/fonts/75dpi/symb10.pc*		444
+ }
+ 
+ array set FilePermsDB {
+ 	lib/X11/XErrorDB			444
+ 	lib/X11/XKeysymDB			444
+ 	lib/X11/rgb.txt				444
+ 	lib/X11/Cards				444
+ 	lib/X11/locale/locale.dir		444
+ 	lib/X11/locale/C/XLC_LOCALE		444
+ }
+ 
+ array set FilePermsBin {
+ 	bin/SuperProbe.exe			755
+ 	bin/bitmap.exe				755
+ 	bin/mkfontdir.exe			755
+ 	bin/twm.exe				755
+ 	bin/xdpyinfo.exe			755
+ 	bin/xinit.exe				755
+ 	bin/xset.exe				755
+ 	bin/xterm.exe				755
+ }
+ 
+ array set FilePermsVidTune {
+ 	bin/xvidtune.exe			755
+ 	lib/X11/app-defaults/Xvidtune		444
+ }
+ 
+ array set FilePermsXKB {
+ 	bin/xkbcomp.exe				755
+ 	lib/X11/xkb/xkbcomp.exe			755
+ 	lib/X11/xkb/compat/default		444
+ 	lib/X11/xkb/compiled/README		444
+ 	lib/X11/xkb/geometry/pc			444
+ 	lib/X11/xkb/keycodes/xfree86		444
+ 	lib/X11/xkb/keymap/xfree86		444
+ 	lib/X11/xkb/semantics/default		444
+ 	lib/X11/xkb/symbols/us			444
+ 	lib/X11/xkb/types/default		444
+ 	lib/X11/xkb/rules/xfree86		444
+ 	lib/X11/xkb/rules/xfree86.lst		444
+ }
+ 
+ array set FilePermsReadMe {
+ 	lib/X11/doc/README.Oak			444
+ 	lib/X11/doc/README.ati			444
+ 	lib/X11/doc/README.trident		444
+ 	lib/X11/doc/README.agx			444
+ 	lib/X11/doc/README.Mach64		444
+ 	lib/X11/doc/README.P9000		444
+ 	lib/X11/doc/README.S3			444
+ 	lib/X11/doc/README.W32			444
+ }
+ 
*** xc/programs/Xserver/hw/xfree86/XF86Setup/Imakefile:1.1	1996/10/25 02:07:55
--- xc/programs/Xserver/hw/xfree86/XF86Setup/Imakefile	1996/10/25 02:10:18
***************
*** 22,31 ****
              OBJS = main.o tclmisc.o tclvidmode.o tclcards.o tclother.o \
  		   tclkbd.o tclxfconf.o xf86Config.o cards.o tclxkbui.o \
  		   tkother.o
         TCL_FILES = phase1.tcl phase2.tcl phase3.tcl phase4.tcl phase5.tcl \
  		   setuplib.tcl srvflags.tcl carddata.tcl \
  		   card.tcl done.tcl filelist.tcl keyboard.tcl \
! 		   mondata.tcl monitor.tcl mouse.tcl LICENSE
      TCLLIB_FILES = tcllib/button.tcl tcllib/combobox.tcl tcllib/misc.tcl \
  		   tcllib/downarrow.xbm tcllib/dialog.tcl tcllib/entry.tcl \
  		   tcllib/focus.tcl tcllib/init.tcl tcllib/listbox.tcl \
--- 22,35 ----
              OBJS = main.o tclmisc.o tclvidmode.o tclcards.o tclother.o \
  		   tclkbd.o tclxfconf.o xf86Config.o cards.o tclxkbui.o \
  		   tkother.o
+ #ifdef OS2Architecture
+     OS2_TCLFILES=  filelistos2.tcl
+ #endif
         TCL_FILES = phase1.tcl phase2.tcl phase3.tcl phase4.tcl phase5.tcl \
  		   setuplib.tcl srvflags.tcl carddata.tcl \
  		   card.tcl done.tcl filelist.tcl keyboard.tcl \
! 		   mondata.tcl monitor.tcl mouse.tcl LICENSE \
! 		   $(OS2_TCLFILES)
      TCLLIB_FILES = tcllib/button.tcl tcllib/combobox.tcl tcllib/misc.tcl \
  		   tcllib/downarrow.xbm tcllib/dialog.tcl tcllib/entry.tcl \
  		   tcllib/focus.tcl tcllib/init.tcl tcllib/listbox.tcl \
***************
*** 74,80 ****
   XF86SETUPLIBDIR = $(LIBDIR)/XF86Setup
           DEFINES = -DCARD_DATABASE_FILE='"$(CARDDBFILE)"' \
  		   $(XCONFIG_DEFINES)
!         INCLUDES = -I$(TCLINCDIR) -I../os-support -I../common \
  		   -I$(SERVERSRC)/include -I$(INCLUDESRC) \
  		   -I$(EXTINCSRC) $(USEINSTALLEDINC)
  
--- 78,84 ----
   XF86SETUPLIBDIR = $(LIBDIR)/XF86Setup
           DEFINES = -DCARD_DATABASE_FILE='"$(CARDDBFILE)"' \
  		   $(XCONFIG_DEFINES)
!         INCLUDES = -I$(TCLINCDIR) -I$(TKINCDIR) -I../os-support -I../common \
  		   -I$(SERVERSRC)/include -I$(INCLUDESRC) \
  		   -I$(EXTINCSRC) $(USEINSTALLEDINC)
  
*** xc/programs/Xserver/hw/xfree86/XF86Setup/main.c:1.1	1996/10/25 02:08:04
--- xc/programs/Xserver/hw/xfree86/XF86Setup/main.c	1996/10/25 02:10:20
***************
*** 73,78 ****
--- 73,79 ----
  #endif
  
  static char Set_InitVars[] =
+ #ifndef __EMX__
  	"if [info exists env(XWINHOME)] {\n"
  	"    set Xwinhome $env(XWINHOME)\n"
  	"} else {\n"
***************
*** 93,98 ****
--- 94,110 ----
  	"    }\n"
  	"    unset xdirs dir\n"
  	"}\n"
+ #else
+ 	"if [info exists env(X11ROOT)] {\n"
+ 	"    set Xwinhome \"$env(X11ROOT)/XFree86\"\n"
+ 	"}\n"
+ 	"    if ![info exists Xwinhome] {\n"
+ 	"        error \"Couldn't determine where you have XFree86 installed.\\n"
+ 		"If you have XFree86 properly installed, set the "
+ 		"X11ROOT environment\\n variable to point to the "
+ 		"XFree86 root directory.\\n\"\n"
+ 	"    }\n"
+ #endif
  	"if [info exists env(XF86SETUPLIB)] {\n"
  	"    set XF86Setup_library $env(XF86SETUPLIB)\n"
  	"} else {\n"
*** xc/programs/Xserver/hw/xfree86/XF86Setup/phase1.tcl:1.1	1996/10/25 02:08:07
--- xc/programs/Xserver/hw/xfree86/XF86Setup/phase1.tcl	1996/10/26 19:29:30
***************
*** 1,4 ****
! # $XFree86: xc/programs/Xserver/hw/xfree86/XF86Setup/phase1.tcl,v 3.11 1996/09/03 06:48:28 dawes Exp $
  #
  # Copyright 1996 by Joseph V. Moss <joe@XFree86.Org>
  #
--- 1,4 ----
! # $XFree86: xc/programs/Xserver/hw/xfree86/XF86Setup/phase1.tcl,v 3.12 1996/10/26 09:35:24 dawes Exp $
  #
  # Copyright 1996 by Joseph V. Moss <joe@XFree86.Org>
  #
***************
*** 9,14 ****
--- 9,19 ----
  #
  # Phase I - Initial text mode interaction w/user and starting of VGA16 server
  #
+ if {$tcl_platform(platform) == "os2"} {
+ 	set is_os2 1
+ } else {
+ 	set is_os2 0
+ }
  
  set clicks1 [clock clicks]
  
***************
*** 16,22 ****
  source $tcl_library/init.tcl
  # load in our library
  source $XF86Setup_library/setuplib.tcl
! source $XF86Setup_library/filelist.tcl
  source $XF86Setup_library/carddata.tcl
  source $XF86Setup_library/mondata.tcl
  
--- 21,31 ----
  source $tcl_library/init.tcl
  # load in our library
  source $XF86Setup_library/setuplib.tcl
! if { is_os2 } {
! 	source $XF86Setup_library/filelistos2.tcl
! } else {
! 	source $XF86Setup_library/filelist.tcl
! }
  source $XF86Setup_library/carddata.tcl
  source $XF86Setup_library/mondata.tcl
  
***************
*** 155,161 ****
  		    [lsearch -exact $ServerList [set $varname]] < 0} {
  		set filename $Xwinhome/bin/X
  		for {set nlinks 0} \
! 			{[file type $filename]=="link" && $nlinks<20} \
  			{incr nlinks} {
  		    set filename [readlink $filename]
  		}
--- 164,171 ----
  		    [lsearch -exact $ServerList [set $varname]] < 0} {
  		set filename $Xwinhome/bin/X
  		for {set nlinks 0} \
! 			{[file exists $filename] && \
! 			 [file type $filename]=="link" && $nlinks<20} \
  			{incr nlinks} {
  		    set filename [readlink $filename]
  		}
*** xc/programs/Xserver/hw/xfree86/XF86Setup/tclother.c:1.1	1996/10/25 02:08:08
--- xc/programs/Xserver/hw/xfree86/XF86Setup/tclother.c	1996/10/25 02:10:20
***************
*** 357,363 ****
  		Tcl_SetResult(interp, "Usage: link <oldfilename> <newfilename>", TCL_STATIC);
  		return TCL_ERROR;
  	}
! 
  #ifdef S_IFLNK
  	if (symlink(argv[1], argv[2]) == -1)
  #else
--- 357,366 ----
  		Tcl_SetResult(interp, "Usage: link <oldfilename> <newfilename>", TCL_STATIC);
  		return TCL_ERROR;
  	}
! #ifdef __EMX__
! 	Tcl_SetResult(interp, "OS/2 has no links", TCL_STATIC);
! 	return TCL_ERROR;
! #else
  #ifdef S_IFLNK
  	if (symlink(argv[1], argv[2]) == -1)
  #else
***************
*** 367,372 ****
--- 370,376 ----
  	else
  		Tcl_SetResult(interp, "1", TCL_STATIC);
  	return TCL_OK;
+ #endif
  }
  
  /*
*** xc/programs/Xserver/S3V.def:1.1	1996/10/26 18:54:19
--- xc/programs/Xserver/S3V.def	1996/10/26 18:54:32
***************
*** 1,4 ****
  NAME XF86_S3V NOTWINDOWCOMPAT
! DESCRIPTION "X11R6 XFree86 3.1.2 Xserver S3V EMX09B"
  PROTMODE
  EXETYPE OS2
--- 1,4 ----
  NAME XF86_S3V NOTWINDOWCOMPAT
! DESCRIPTION "X11R6 XFree86 3.2 Xserver S3V EMX09C"
  PROTMODE
  EXETYPE OS2
*** xc/programs/Xserver/TGA.def:1.1	1996/10/26 18:54:42
--- xc/programs/Xserver/TGA.def	1996/10/26 18:54:54
***************
*** 1,4 ****
  NAME XF86_TGA NOTWINDOWCOMPAT
! DESCRIPTION "X11R6.1 XFree86 3.2 Xserver TGA EMX09B"
  PROTMODE
  EXETYPE OS2
--- 1,4 ----
  NAME XF86_TGA NOTWINDOWCOMPAT
! DESCRIPTION "X11R6 XFree86 3.2 Xserver TGA EMX09C"
  PROTMODE
  EXETYPE OS2
